%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ANSM5
%global packver   1.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Functions and Data for the Book "Applied Nonparametric Statistical Methods", 5th Edition

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Functions and data to accompany the 5th edition of the book "Applied
Nonparametric Statistical Methods" (4th edition: Sprent & Smeeton, 2024,
ISBN:158488701X), the revisions from the 4th edition including a move from
describing the output from a miscellany of statistical software packages
to using R. While the output from many of the functions can also be
obtained using a range of other R functions, this package provides
functions in a unified setting and give output using both p-values and
confidence intervals, exemplifying the book's approach of treating
p-values as a guide to statistical importance and not an end product in
their own right. Please note that in creating the ANSM5 package we do not
claim to have produced software which is necessarily the most
computationally efficient nor the most comprehensive.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
